| Version: 3.1.5

Classes | Functions
tipdlg.h File Reference

## Classes
class | wxTipProvider
| This is the class used together with wxShowTip() function. More...

## Functions
wxTipProvider * | wxCreateFileTipProvider (const wxString &filename, size_t currentTip)
| This function creates a wxTipProvider which may be used with wxShowTip(). More...
bool | wxShowTip (wxWindow *parent, wxTipProvider *tipProvider, bool showAtStartup=true)
| This function shows a "startup tip" to the user. More...

## Function Documentation

## ◆ wxCreateFileTipProvider()

wxTipProvider * wxCreateFileTipProvider | ( | const wxString & | filename,
|  | size_t | currentTip
| ) |  |

This function creates a wxTipProvider which may be used with wxShowTip().

Parameters

  filename | The name of the file containing the tips, one per line.
  currentTip | The index of the first tip to show. Normally this index is remembered between the 2 program runs.

See also
  wxTipProvider Overview

Include file:

    #include <wx/tipdlg.h>

## ◆ wxShowTip()

bool wxShowTip | ( | wxWindow * | parent,
|  | wxTipProvider * | tipProvider,
|  | bool | showAtStartup = `true`
| ) |  |

This function shows a "startup tip" to the user.

The return value is the state of the "Show tips at startup" checkbox.

Parameters

  parent | The parent window for the modal dialog.
  tipProvider | An object which is used to get the text of the tips. It may be created with the wxCreateFileTipProvider() function.
  showAtStartup | Should be true if startup tips are shown, false otherwise. This is used as the initial value for "Show tips at startup" checkbox which is shown in the tips dialog.

See also
  wxTipProvider Overview

Include file:

    #include <wx/tipdlg.h>